Skip to main content
Try it live: PDF Add → API Tester — send a real request from your browser.

POST /v1/pdf/edit/add

Create new PDF forms with fillable edit boxes, checkboxes and other fillable fields. Quickly create configs for PDF.co API, Zapier, Make with PDF.co PDF Edit Add Helper.
To add a signature, save the signature as an image and insert it using the images attribute.

Attributes

Attributes are case-sensitive and should be inside JSON for POST request. for example: { "url": "https://example.com/file1.pdf" }

fieldsString

Set values for fillable PDF fields (i.e. fill pdf fields in pdf forms). To fill fields in PDF form, use the following format: page;fieldName;value. Also, the advanced format can be used to override font name, size and style: 0;fieldName;Field Text;12+bold+italic+underline+strikeout;FontName Where: 0;editbox1;text is here;12+bold;Arial To fill the checkbox, use true, for example: 0;checkbox1;true. To separate multiple objects, use the | separator. To get the list of all fillable fields in a PDF form, use the :ref:post-tag-pdf-info-fields endpoint. If you need to include a pipe character within a value, escape it by prefixing with \\ (for example, | should be written as \\| and in a JSON string as \\|).

Crop a PDF File

Crop a PDF file using an array to define the crop area. The crop box is defined by a rectangle [x, y, width, height] in PDF points (1 Point = 1/72 inches).
An A4 page size in points is 595 x 842

Disable Ligaturization

To disable ligaturization, for example for Hebrew, use the following:

Flatten Document

Flattening a document renders it as read-only. Handy if you want to remove editing or copying capability.

Available fonts

Standard Fonts

  • Arial
  • Arial Black
  • Aptos
  • Aptos Display
  • Aptos Narrow
  • Bahnschrift
  • Calibri
  • Cambria
  • Cambria Math
  • Candara
  • Comic Sans MS
  • Consolas
  • Constantia
  • Corbel
  • Courier New
  • Ebrima
  • Franklin Gothic Medium
  • Gabriola
  • Gadugi
  • Georgia
  • HoloLens MDL2 Assets
  • Impact
  • Ink Free
  • Javanese Text
  • Leelawadee UI
  • Lucida Console
  • Lucida Sans Unicode
  • Malgun Gothic
  • Marlett
  • Microsoft Himalaya
  • Microsoft JhengHei
  • Microsoft New Tai Lue
  • Microsoft PhagsPa
  • Microsoft Sans Serif
  • Microsoft Tai Le
  • Microsoft YaHei
  • Montserrat
  • Microsoft Yi Baiti
  • MingLiU-ExtB
  • Mongolian Baiti
  • MS Gothic
  • MV Boli
  • Myanmar Text
  • OCR A
  • OCR A Extended
  • OCR B
  • OCR B E
  • OCR B F
  • OCR B L
  • OCR B S
  • OCR X S
  • Nirmala UI
  • Palatino Linotype
  • Segoe MDL2 Assets
  • Segoe Print
  • Segoe Script
  • Segoe UI
  • Segoe UI Historic
  • Segoe UI Emoji
  • Segoe UI Symbol
  • SimSun
  • Sitka
  • Sylfaen
  • Symbol
  • Tahoma
  • Times New Roman
  • Trebuchet MS
  • Verdana
  • Webdings
  • Wingdings
  • Yu Gothic

Japanese Fonts

  • MS Gothic
  • MS Mincho
  • Yu Gothic

Chinese Fonts

  • SimSun
  • MingLiU
  • Microsoft YaHei

Korean Fonts

  • Malgun Gothic

Hebrew Fonts

  • Miriam

Arabic Fonts

  • Aldhabi
  • Andalus
  • Arabic Typesetting

Query parameters

No query parameters accepted.

Responses

Example Payload (A)

To see the request size limits, please refer to the Request Size Limits.

Example Response (A)

To see the main response codes, please refer to the Response Codes page.

Example Payload (B)

To see the request size limits, please refer to the Request Size Limits.

Example Response (B)

To see the main response codes, please refer to the Response Codes page.
Inconsistent URL Encoding in cURL Output: When using cURL to make API requests, the output JSON may show URL characters encoded as Unicode escape sequences. For example, the ampersand character (&) may appear as \u0026 in the cURL output. This is normal JSON encoding behavior and does not affect the validity of the URL. The URL will function correctly when used, as JSON parsers automatically decode these escape sequences. If you’re parsing the response programmatically, your JSON parser will handle this conversion automatically.

Code Samples


Create Fillable PDF Forms

You can create fillable PDF forms by adding editable text boxes and checkboxes. By using the annotations[] attribute and setting the type to textfield or checkbox you can create form elements to be placed on your PDF .

Example Payload (Create Fillable PDF Forms)

Example Response (Create Fillable PDF Forms)

CURL

Fill PDF Forms

You can fill existing form fields in a PDF after identifying the form field names. Once form fields are identified then the fields[] attribute should be used to populate the fields by fieldName .

Example Payload (Fill PDF Forms)

Example Response (Fill PDF Forms)

CURL

Code samples (For Fill PDF Forms)